**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/20.1/domain-information/retrieve-domain-information.md

# Retrieve Domain Information



Domain Admins can use this request to retrieve a list of all Vaults currently in their domain.

<Endpoint path="/api/{version}/objects/domain" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `include_application` | To include Vault application type information in the response, set `include_application` to `true`. If omitted, defaults to `false` and application information is not included. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/objects/domain?include_application=true

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Success",
    "domain__v": {
        "domain_name__v": "veepharm",
        "domain_type__v": "Test",
        "vaults__v": [
            {
                "vault_name__v": "PromoMats",
                "vault_status__v": "Active",
                "vault_family__v": {
                    "name__v": "commercial__v",
                    "label__v": "Commercial"
                },
                "id": 19523,
                "vault_application__v": "PromoMats"
            }
        ]
    }
}

```
</CodeExample>

## Response Details {#response-details}

<FieldTable>
| Name | Description |
| --- | --- |
| `domain_name__v` | The name of the domain containing the Vaults. This is unique to each customer and part of the DNS of each Vault. |
| `domain_type__v` | The type of domain (Production, Sandbox, Demo, or Test). |
| `id` | The system-managed numeric ID assigned to each Vault. This is the **Vault ID** (`vault_id__v`) required in some requests. |
| `vault_name__v` | The name of each Vault. This may be the same as the application or set to something unique. |
| `vault_status__v` | The current status of each Vault (Active or Inactive). Inactive Vaults are inaccessible. |
| `vault_family__v` | Contains information about the application family each Vault belongs to. |
| `id` | The system-managed numeric ID assigned to each Vault. This is the **Vault ID** (`vault_id__v`) required in some requests. |
| `vault_application__v` | The application of each Vault. This information only appears if the `include_application` query parameter is set to `true`. |
</FieldTable>


---

**Previous:** [Domain Information](/medical/vault-api/api-reference/20.1/domain-information)  
**Next:** [Retrieve Domains](/medical/vault-api/api-reference/20.1/domain-information/retrieve-domains)